<?php
/***************************************************************************
 *                               viewforum.php
 *                            -------------------
 *   begin                : Saturday, Feb 13, 2001
 *   copyright            : (C) 2001 The phpBB Group
 *   email                : support@phpbb.com
 *
 *   $Id: viewforum.php,v 1.139.2.10 2003/03/04 21:02:44 acydburn Exp $
 *
 *
 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/

define('IN_PHPBB', true);
$phpbb_root_path = './';
include($phpbb_root_path . 'extension.inc');
include($phpbb_root_path . 'common.'.$phpEx);

Header("Set-Cookie: sshow_header=1; expires=".gmstrftime("%A, %d-%b-%Y %H:%M:%S GMT",time()+3600*48)."\n");


//
// Start initial var setup
//
if ( isset($HTTP_GET_VARS[POST_FORUM_URL]) || isset($HTTP_POST_VARS[POST_FORUM_URL]) )
{
	$forum_id = ( isset($HTTP_GET_VARS[POST_FORUM_URL]) ) ? intval($HTTP_GET_VARS[POST_FORUM_URL]) : intval($HTTP_POST_VARS[POST_FORUM_URL]);
}
else if ( isset($HTTP_GET_VARS['forum']))
{
	$forum_id = intval($HTTP_GET_VARS['forum']);
}
else
{
	$forum_id = '';
}

$start = ( isset($HTTP_GET_VARS['start']) ) ? intval($HTTP_GET_VARS['start']) : 0;

if ( isset($HTTP_GET_VARS['mark']) || isset($HTTP_POST_VARS['mark']) )
{
	$mark_read = (isset($HTTP_POST_VARS['mark'])) ? $HTTP_POST_VARS['mark'] : $HTTP_GET_VARS['mark'];
}
else
{
	$mark_read = '';
}
//
// End initial var setup
//

//
// Check if the user has actually sent a forum ID with his/her request
// If not give them a nice error page.
//

global $board_config;
$sql="SELECT * FROM ".THEMES_TABLE." WHERE themes_id=".$board_config['default_style'];
if ( !($result = $db->sql_query($sql)) )
 message_die(GENERAL_ERROR, 'Could not query theme information', '', __LINE__, __FILE__, $sql);
if( $row = $db->sql_fetchrow($result) )
 $board_config['board_template']=$row['template_name'];
else
 $board_config['board_template']='subSilver';
$mforum_id=$forum_id;

$sql="SELECT * FROM ".FORUMS_TABLE." WHERE forum_id='".$mforum_id."' LIMIT 1";
if ( !($result = $db->sql_query($sql)) )
 message_die(GENERAL_ERROR, 'Could not query forum information', '', __LINE__, __FILE__, $sql);
if( $row = $db->sql_fetchrow($result) )
 {
  $cat_id=$row['cat_id'];
  $book_id=$row['book_id'];
 } 
else
 message_die(GENERAL_ERROR, 'NO SUCH CATEGORY', '', __LINE__, __FILE__, $sql);


$sql="SELECT * FROM ".CATEGORIES_TABLE." WHERE cat_id='".$cat_id."' LIMIT 1";
if ( !($result = $db->sql_query($sql)) )
 message_die(GENERAL_ERROR, 'Could not query forum information', '', __LINE__, __FILE__, $sql);
if( $row = $db->sql_fetchrow($result) )
 {
  $book_id=(!$book_id)?$row['book_id']:$book_id;
  $college_id=(!$college_id)?$row['college_id']:$college_id;
 } 

global $scurrent_book,$scollegeid;
if(!($college_id>0))
 {
  $college_id=$scollegeid;
  $sql="SELECT cat_id FROM ".CATEGORIES_TABLE." WHERE college_id='".$college_id."' LIMIT 1";
  if ( !($result = $db->sql_query($sql)) )
   message_die(GENERAL_ERROR, 'Could not query forum information', '', __LINE__, __FILE__, $sql);
  if( $row = $db->sql_fetchrow($result) )
    $cat_id=$row['cat_id'];
 }
if(!($book_id>0))
 {
 
  $book_id=$scurrent_book;
  $sql="SELECT * FROM ".FORUMS_TABLE." WHERE (cat_id='".$cat_id."')AND(book_id='".$book_id."') LIMIT 1";
  if ( !($result = $db->sql_query($sql)) )
   message_die(GENERAL_ERROR, 'Could not query forum information', '', __LINE__, __FILE__, $sql);
  if( $row = $db->sql_fetchrow($result) )
    $mforum_id=$row['forum_id'];
 }

$sql="SELECT cat_id FROM ".CATEGORIES_TABLE." WHERE book_id='".$book_id."' LIMIT 1";
if ( !($result = $db->sql_query($sql)) )
 message_die(GENERAL_ERROR, 'Could not query forum information', '', __LINE__, __FILE__, $sql);
if( $row = $db->sql_fetchrow($result) )
 { $book_cat_id=$row['cat_id']; }
else
 { $book_cat_id=-1;} 


// **************** Get general forum for the selected college
$sql="SELECT cat_id FROM ".CATEGORIES_TABLE." WHERE college_id='".$college_id."' LIMIT 1";
if ( !($result = $db->sql_query($sql)) )
 message_die(GENERAL_ERROR, 'Could not query forum information', '', __LINE__, __FILE__, $sql);
if( $row = $db->sql_fetchrow($result) )
 { $college_cat_id=$row['cat_id']; }
else
 { $college_cat_id=-1;} 

$sql="SELECT forum_id FROM ".FORUMS_TABLE." WHERE (cat_id='".$college_cat_id."') AND (forum_name='General') LIMIT 1";
if ( !($result = $db->sql_query($sql)) )
 message_die(GENERAL_ERROR, 'Could not query forum information', '', __LINE__, __FILE__, $sql);
if( $row = $db->sql_fetchrow($result) )
 { $college_general_forum_id=$row['forum_id']; }
else
 { $college_general_forum_id=-1;} 


// ************** Get general forum for the selected book
$sql="SELECT cat_id FROM ".CATEGORIES_TABLE." WHERE book_id='".$book_id."' LIMIT 1";
if ( !($result = $db->sql_query($sql)) )
 message_die(GENERAL_ERROR, 'Could not query forum information', '', __LINE__, __FILE__, $sql);
if( $row = $db->sql_fetchrow($result) )
  $college_cat_id=$row['cat_id'];
else
  $college_cat_id=-1; 

$sql="SELECT forum_id FROM ".FORUMS_TABLE." WHERE (cat_id='".$college_cat_id."') AND (forum_name='General') LIMIT 1";
if ( !($result = $db->sql_query($sql)) )
 message_die(GENERAL_ERROR, 'Could not query forum information', '', __LINE__, __FILE__, $sql);
if( $row = $db->sql_fetchrow($result) )
  $book_general_forum_id=$row['forum_id']; 
else
  $book_general_forum_id=-1;

$sql="SELECT forum_id FROM ".FORUMS_TABLE." WHERE (cat_id='".$college_cat_id."') AND (forum_name='Papers') LIMIT 1";
if ( !($result = $db->sql_query($sql)) )
 message_die(GENERAL_ERROR, 'Could not query forum information', '', __LINE__, __FILE__, $sql);
if( $row = $db->sql_fetchrow($result) )
  $book_papers_forum_id=$row['forum_id']; 
else
  $book_papers_forum_id=-1;
$general_forum_id=1; 

 Header("Set-Cookie: sfid1=''; expires=".gmstrftime("%A, %d-%b-%Y %H:%M:%S GMT",time()-3600*48)."\n");
 Header("Set-Cookie: sfid1=$mforum_id; expires=".gmstrftime("%A, %d-%b-%Y %H:%M:%S GMT",time()+3600*48)."\n");
 Header("Set-Cookie: sfid2=''; expires=".gmstrftime("%A, %d-%b-%Y %H:%M:%S GMT",time()-3600*48)."\n");
 Header("Set-Cookie: sfid2=$college_general_forum_id; expires=".gmstrftime("%A, %d-%b-%Y %H:%M:%S GMT",time()+3600*48)."\n");
 Header("Set-Cookie: sfid3=''; expires=".gmstrftime("%A, %d-%b-%Y %H:%M:%S GMT",time()-3600*48)."\n");
 Header("Set-Cookie: sfid3=$book_general_forum_id; expires=".gmstrftime("%A, %d-%b-%Y %H:%M:%S GMT",time()+3600*48)."\n");
 Header("Set-Cookie: sfid4=''; expires=".gmstrftime("%A, %d-%b-%Y %H:%M:%S GMT",time()-3600*48)."\n");
 Header("Set-Cookie: sfid4=$book_papers_forum_id; expires=".gmstrftime("%A, %d-%b-%Y %H:%M:%S GMT",time()+3600*48)."\n");
 Header("Set-Cookie: sfid5=''; expires=".gmstrftime("%A, %d-%b-%Y %H:%M:%S GMT",time()-3600*48)."\n");
 Header("Set-Cookie: sfid5=1; expires=".gmstrftime("%A, %d-%b-%Y %H:%M:%S GMT",time()+3600*48)."\n");
 
$show_forum_type='college_book';
$template = new Template($phpbb_root_path.'templates/'.$board_config['board_template']);
$template->set_filenames(array('body' => 'viewforum_body.tpl'));
$forum_id=$mforum_id;
$main_header=1;
$main_footer=0;
$showsubtoprow=1;
include($phpbb_root_path . 'show_forum.'.$phpEx);

$show_forum_type='papers';
$template = new Template($phpbb_root_path.'templates/'.$board_config['board_template']);
$template->set_filenames(array('body' => 'viewforum_body.tpl'));
$main_header=0;
$showsubtoprow='';
$forum_id=$book_papers_forum_id;
include($phpbb_root_path . 'show_forum.'.$phpEx);

$show_forum_type='college_general';
$template = new Template($phpbb_root_path.'templates/'.$board_config['board_template']);
$template->set_filenames(array('body' => 'viewforum_body.tpl'));
$main_header=0;
$forum_id=$college_general_forum_id;
include($phpbb_root_path . 'show_forum.'.$phpEx);

$show_forum_type='book_general';
$template = new Template($phpbb_root_path.'templates/'.$board_config['board_template']);
$template->set_filenames(array('body' => 'viewforum_body.tpl'));
$main_header=0;
$forum_id=$book_general_forum_id;
include($phpbb_root_path . 'show_forum.'.$phpEx);

$show_forum_type='general';
$template = new Template($phpbb_root_path.'templates/'.$board_config['board_template']);
$template->set_filenames(array('body' => 'viewforum_body.tpl'));
$main_header=0;
$main_footer=0;
$showendtable=1;
$forum_id=$general_forum_id;
include($phpbb_root_path . 'show_forum.'.$phpEx);

$show_forum_type='ronly';
$template = new Template($phpbb_root_path.'templates/'.$board_config['board_template']);
$template->set_filenames(array('body' => 'viewforum_body.tpl'));
$main_header=0;
$main_footer=1;
$showsubtoprow=1;
$showendtable=1;
print "<br><br><br><br>";
global $ru;
if(!($ru>0))
{
 $category_id=2;
 include($phpbb_root_path . 'show_category.'.$phpEx);
}
else
{
 $forum_id=$ru;
 echo "<a name='autoancer'></a>";
 include($phpbb_root_path . 'show_forum.'.$phpEx);
}
?>
